Bug 1422449 - Missing Paginator on ems_infra control
Summary: Missing Paginator on ems_infra control
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Leo Khomenko
URL:
Whiteboard: ui:provider
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 11:23 UTC by Leo Khomenko
Modified: 2017-05-31 14:34 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:34:46 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
all InfraProviders view after Provider's Details in Dashboard View (47.90 KB, image/png)
2017-02-15 11:23 UTC, Leo Khomenko
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Leo Khomenko 2017-02-15 11:23:08 UTC
Created attachment 1250547 [details]
all InfraProviders view after Provider's Details in Dashboard View

Description of problem: Paginator Control disappears after we open InfraProvider Details in Dashboard View


Version-Release number of selected component (if applicable):5.8.0.0.20170201144150_848e68b 


How reproducible:100%


Steps to Reproduce:
1.Add Infra Provider 
2.Open it's Details - check if Dashboard View is Enabled
3.go back to all Infra Providers

Actual results:no Filters and no paginator


Expected results:Paginator and Filters should be


Additional info: Workaround - open Provider again - switch to Summary View - go back to all providers

NEEDINFO: Dashboard View is available only for InfraProviders at the moment. Do we plan to add it to CloudProviders as well?

Comment 3 Harpreet Kataria 2017-02-20 20:48:39 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/436

Comment 4 CFME Bot 2017-02-20 21:42:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d7bbf91d8a218b8911273a69ccbd5ea788fa7f60

commit d7bbf91d8a218b8911273a69ccbd5ea788fa7f60
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Feb 20 15:44:45 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Feb 20 16:26:26 2017 -0500

    Fix to render pagination and listnav on list view.
    
    Fixed a condition to make sure listnav & paginator are rendered on list view.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422449

 app/helpers/application_helper/page_layouts.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 5 CFME Bot 2017-02-22 15:03:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d39b62c80fe464be3c196e1cfdf04e7967ffa92b

commit d39b62c80fe464be3c196e1cfdf04e7967ffa92b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Feb 21 12:10:13 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Feb 21 12:10:13 2017 -0500

    Removed a debug statement
    
    Fixed Hosts form field to save/display data.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422449

 .../javascripts/controllers/catalog/catalog_item_form_controller.js   | 4 ++--
 app/views/layouts/angular/_ansible_form_options_angular.html.haml     | 3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

Comment 6 Leo Khomenko 2017-02-28 11:11:50 UTC
verified on 5.8.0.2

Comment 8 errata-xmlrpc 2017-05-31 14:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.